#ifndef HOMEKIT_LIB_MQTT_MODULE_TEMPHUM_H
#define HOMEKIT_LIB_MQTT_MODULE_TEMPHUM_H

#include <homekit/mqtt/module.h>
#include <homekit/temphum.h>

namespace homekit::mqtt {

struct MqttTemphumPayload {
    double temp = 0;
    double rh = 0;
    uint8_t error = 0;
} __attribute__((packed));


class MqttTemphumModule : public MqttModule {
private:
    temphum::Sensor* sensor;

public:
    MqttTemphumModule(temphum::Sensor* _sensor) : MqttModule(10), sensor(_sensor) {}
    void init(Mqtt& mqtt) override;
    void tick(Mqtt& mqtt) override;
};

}

#endif //HOMEKIT_LIB_MQTT_MODULE_TEMPHUM_H
